package com.jh.boot.attachment;

import java.io.InputStream;
import java.util.List;

public interface AttachmentService {

    Attachment saveAttachment(Attachment attachment, InputStream content);

    Attachment saveAttachment(Attachment attachment);

    List<Attachment> fetchAttachments(String userId, String objectType, Long objectId);

    Attachment fetchAttachmentInfo(Long attachmentId);

    InputStream fetchAttachmentBody(Long attachmentId);

    void deleteAttachment(Long attachmentId);

}
